//---------------------------------------------------------------------------
#ifndef App_ViewH
#define App_ViewH
//---------------------------------------------------------------------------
#include "App_Common.h"
namespace Comctrls {class TListView;} using namespace Comctrls;
namespace Forms {class TForm;} using namespace Forms;
//---------------------------------------------------------------------------
namespace App_view {
//---------------------------------------------------------------------------
class TFormModel : public TModel
{
private:
	TForm* FForm;
protected:
public:
	__fastcall TFormModel(TForm* AForm);
	virtual __fastcall ~TFormModel();
	virtual void __fastcall LoadSettings(TMemIniFile* ASettings, const AnsiString& ASection);
	virtual void __fastcall SaveSettings(TMemIniFile* ASettings, const AnsiString& ASection);
	__property TForm* Form = {read=FForm};
};
//---------------------------------------------------------------------------
class TListViewModel : public TModel
{
private:
	TListView* FListView;
protected:
public:
	__fastcall TListViewModel(TListView* AListView);
	virtual __fastcall ~TListViewModel();
	virtual void __fastcall LoadSettings(TMemIniFile* ASettings, const AnsiString& ASection);
	virtual void __fastcall SaveSettings(TMemIniFile* ASettings, const AnsiString& ASection);
	__property TListView* ListView = {read=FListView};
};
//---------------------------------------------------------------------------
} // End namespace App_view
using namespace App_view;
//---------------------------------------------------------------------------
#endif

