//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_MainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAppMainForm* AppMainForm = NULL;
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action11Execute(TObject* ASender)
{
	OpenCommands->Open();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action11Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = OpenCommands->CanOpen();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action121Execute(TObject* ASender)
{
	HelpCommands->OpenHelp();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action121Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = HelpCommands->CanOpenHelp();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action122Execute(TObject* ASender)
{
	HelpCommands->ShowAbout();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action122Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = HelpCommands->CanShowAbout();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action21Execute(TObject* ASender)
{
	ProgramEntriesCommands->Add();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action21Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanAdd();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action22Execute(TObject* ASender)
{
	ProgramEntriesCommands->Delete();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action22Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanDelete();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action23Execute(TObject* ASender)
{
	ProgramEntriesCommands->Duplicate();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action23Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanDuplicate();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action24Execute(TObject* ASender)
{
	ProgramEntriesCommands->Start();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action24Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanStart();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action25Execute(TObject* ASender)
{
	ProgramEntriesCommands->Explore();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action25Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanExplore();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action26Execute(TObject* ASender)
{
	ProgramEntriesCommands->ShowProperties();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action26Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = ProgramEntriesCommands->CanShowProperties();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action31Execute(TObject* ASender)
{
	DocumentEntriesCommands->New();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action31Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanNew();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action321Execute(TObject* ASender)
{
	DocumentEntriesCommands->AddRegularFiles();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action321Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanAddRegularFiles();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action322Execute(TObject* ASender)
{
	DocumentEntriesCommands->AddDirectory();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action322Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanAddDirectory();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action323Execute(TObject* ASender)
{
	DocumentEntriesCommands->AddDroppedFiles(DroppedFiles);
	DroppedFiles.Length = 0;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action323Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanAddDroppedFiles();
	FileDropWatcher->Enabled = DocumentEntriesCommands->CanAddDroppedFiles();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action33Execute(TObject* ASender)
{
	DocumentEntriesCommands->Cut();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action33Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanCut();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action34Execute(TObject* ASender)
{
	DocumentEntriesCommands->Copy();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action34Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanCopy();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action35Execute(TObject* ASender)
{
	DocumentEntriesCommands->Paste();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action35Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanPaste();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action36Execute(TObject* ASender)
{
	DocumentEntriesCommands->Delete();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action36Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanDelete();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action37Execute(TObject* ASender)
{
	DocumentEntriesCommands->SelectAll();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action37Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSelectAll();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action38Execute(TObject* ASender)
{
	DocumentEntriesCommands->ReverseSelection();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action38Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanReverseSelection();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3911Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByPath();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3911Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByPath();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3912Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByDirectory();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3912Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByDirectory();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3913Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByName();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3913Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByName();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3914Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortBySize();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3914Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortBySize();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3915Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByType();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3915Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByType();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3916Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByLastWriteTime();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3916Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByLastWriteTime();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3917Execute(TObject* ASender)
{
	DocumentEntriesCommands->SortByResult();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3917Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanSortByResult();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action392Execute(TObject* ASender)
{
	DocumentEntriesCommands->ReverseOrder();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action392Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanReverseOrder();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action393Execute(TObject* ASender)
{
	DocumentEntriesCommands->MoveUp();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action393Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanMoveUp();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action394Execute(TObject* ASender)
{
	DocumentEntriesCommands->MoveDown();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action394Update(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanMoveDown();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3AExecute(TObject* ASender)
{
	DocumentEntriesCommands->DeleteAllInSuccess();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3AUpdate(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanDeleteAllInSuccess();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3BExecute(TObject* ASender)
{
	DocumentEntriesCommands->ResetResult();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Action3BUpdate(TObject* ASender)
{
	TAction* LAction = static_cast<TAction*>(ASender);
	LAction->Enabled = DocumentEntriesCommands->CanResetResult();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ActionList1Execute(TBasicAction* AAction, bool& AHandled)
{
	TAction* LAction = static_cast<TAction*>(AAction);
	if(LAction->OnExecute == NULL) {
		return;
	}
	TCursor LCursor = Screen->Cursor;
	Screen->Cursor = crHourGlass;
	try {
		try {
			if(LAction->Category == Action21->Category) {
				ActiveControl = ComboBox1;
			}
			else if(LAction->Category == Action31->Category) {
				ActiveControl = ListView1;
			}
			LAction->OnExecute(LAction);
			AHandled = true;
		}
		catch(...) {
			UpdateNotifier->Invalidate();
			throw;
		}
		UpdateNotifier->Invalidate();
	}
	catch(...) {
		Screen->Cursor = LCursor;
		throw;
	}
	Screen->Cursor = LCursor;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ActionList1Update(TBasicAction* AAction, bool& AHandled)
{
	AHandled = true;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ComboBox1Click(TObject* ASender)
{
	UpdateNotifier->Invalidate();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ComboBox1ContextPopup(TObject* ASender, TPoint& AMousePos, bool& AHandled)
{
	ActiveControl = ComboBox1;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ComboBox1DrawItem(TWinControl* AControl, int AIndex, TRect& ARect, TOwnerDrawState AState)
{
	if(AIndex >= ProgramEntriesModel->Count) {
		return;
	}
	TComboBox* LComboBox = static_cast<TComboBox*>(AControl);
	const int LPadding = 1;
	const int LIconSize = 16;

	// Draw the text and the background
	if(AState.Contains(odDisabled)) {
		LComboBox->Canvas->Font->Color = clGrayText;
	}
	LComboBox->Canvas->TextRect(
		ARect,
		ARect.left + LIconSize + LPadding * 3,
		ARect.top + (ARect.Height() - LComboBox->Canvas->TextHeight(LComboBox->Items->Strings[AIndex])) / 2,
		LComboBox->Items->Strings[AIndex]);

	// Draw the icon
	::DrawState(
		LComboBox->Canvas->Handle,
		NULL,
		NULL,
		reinterpret_cast<LPARAM>(ProgramEntriesModel->Items[AIndex]->Icon->Handle),
		NULL,
		ARect.left + LPadding,
		ARect.top + (ARect.Height() - LIconSize) / 2,
		LIconSize,
		LIconSize,
		DST_ICON | (AState.Contains(odDisabled) ? DSS_DISABLED : 0));
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ComboBox1Enter(TObject* ASender)
{
	static_cast<TComboBox*>(ASender)->PopupMenu = PopupMenu2;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ComboBox1Exit(TObject* ASender)
{
	static_cast<TComboBox*>(ASender)->PopupMenu = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::FormCloseQuery(TObject* ASender, bool& ACanClose)
{
	Action31->Execute();
	SaveSettings();
	ACanClose = true;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ListView1Change(TObject* ASender, TListItem* AItem, TItemChange AChange)
{
	if(AChange == ctState) {
		UpdateNotifier->Invalidate();
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ListView1ColumnClick(TObject* ASender, TListColumn* AColumn)
{
	switch(AColumn->Index) {
	case 0:
		Action3913->Execute();
		break;
	case 1:
		Action3912->Execute();
		break;
	case 2:
		Action3914->Execute();
		break;
	case 3:
		Action3915->Execute();
		break;
	case 4:
		Action3916->Execute();
		break;
	case 5:
		Action3917->Execute();
		break;
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ListView1Data(TObject* ASender, TListItem* AItem)
{
	if(AItem->Index >= DocumentEntriesModel->Count) {
		return;
	}
	TDocumentEntry* LDocumentEntry = DocumentEntriesModel->Items[AItem->Index];
	AItem->Caption = TDocumentEntryDescriber::DescribeByName(LDocumentEntry);
	AItem->SubItems->Add(TDocumentEntryDescriber::DescribeByDirectory(LDocumentEntry));
	AItem->SubItems->Add(TDocumentEntryDescriber::DescribeBySize(LDocumentEntry));
	AItem->SubItems->Add(TDocumentEntryDescriber::DescribeByType(LDocumentEntry));
	AItem->SubItems->Add(TDocumentEntryDescriber::DescribeByLastWriteTime(LDocumentEntry));
	AItem->SubItems->Add(TDocumentEntryDescriber::DescribeByResult(LDocumentEntry));
	AItem->ImageIndex = TDocumentEntryDescriber::DetermineImageIndex(LDocumentEntry);
	AItem->StateIndex = TDocumentEntryDescriber::DetermineStateIndex(LDocumentEntry);
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ListView1Enter(TObject* ASender)
{
	static_cast<TListView*>(ASender)->PopupMenu = PopupMenu3;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ListView1Exit(TObject* ASender)
{
	static_cast<TListView*>(ASender)->PopupMenu = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Initialize()
{
	try {
		AutoSize = true;
		Panel1->Align = alClient;
		AutoSize = false;
		FSystemModel = new TSystemModel();
		FProgramEntriesModel = new TProgramEntriesModel();
		FProgramEntriesSelection = new TProgramEntriesSelection(FProgramEntriesModel, ComboBox1);
		FProgramEntriesModel->OnInsert = FProgramEntriesSelection->HandleInsert;
		FProgramEntriesModel->OnDelete = FProgramEntriesSelection->HandleDelete;
		FProgramEntriesModel->OnClear = FProgramEntriesSelection->HandleClear;
		FProgramEntriesCommands = new TProgramEntriesCommands(FProgramEntriesModel, FProgramEntriesSelection);
		TDocumentEntryDescriber::ImageIndex_RegularFile = 0;
		TDocumentEntryDescriber::ImageIndex_Directory = 1;
		TDocumentEntryDescriber::StateIndex_None = 0;
		TDocumentEntryDescriber::StateIndex_Success = 1;
		TDocumentEntryDescriber::StateIndex_Failure = 2;
		FDocumentEntriesModel = new TDocumentEntriesModel();
		FDocumentEntriesSelection = new TDocumentEntriesSelection(FDocumentEntriesModel, ListView1);
		FDocumentEntriesModel->OnInsertItems = FDocumentEntriesSelection->HandleInsertItems;
		FDocumentEntriesModel->OnDeleteItems = FDocumentEntriesSelection->HandleDeleteItems;
		FDocumentEntriesModel->OnClear = FDocumentEntriesSelection->HandleClear;
		FDocumentEntriesModel->OnReorder = FDocumentEntriesSelection->HandleReorder;
		FDocumentEntriesModel->OnItemsChange = FDocumentEntriesSelection->HandleItemsChange;
		FDocumentEntriesCommands = new TDocumentEntriesCommands(FDocumentEntriesModel, FDocumentEntriesSelection);
		FFormModel = new TFormModel(this);
		FListViewModel1 = new TListViewModel(ListView1);
		FOpenCommands = new TOpenCommands(ProgramEntriesModel, ProgramEntriesSelection, DocumentEntriesModel);
		FHelpCommands = new THelpCommands();
		FSettingsHandlers = new TSettingsHandlers();
		FSettingsHandlers->Add(FSystemModel, "System");
		FSettingsHandlers->Add(FProgramEntriesModel, "ProgramEntries");
		FSettingsHandlers->Add(FProgramEntriesSelection, "ProgramEntriesSelection");
		FSettingsHandlers->Add(FProgramEntriesCommands, "ProgramEntriesCommands");
		FSettingsHandlers->Add(FDocumentEntriesModel, "DocumentEntries");
		FSettingsHandlers->Add(FDocumentEntriesSelection, "DocumentEntriesSelection");
		FSettingsHandlers->Add(FDocumentEntriesCommands, "DocumentEntriesCommands");
		FSettingsHandlers->Add(FFormModel, "MainForm");
		FSettingsHandlers->Add(FListViewModel1, "MainForm.ListView1");
		FSettingsHandlers->Add(FOpenCommands, "OpenCommands");
		FSettingsHandlers->Add(FHelpCommands, "HelpCommands");
		FFileDropWatcher = new TFileDropWatcher(this);
		FFileDropWatcher->OnFileDrop = FileDropWatcherFileDrop;
		FUpdateNotifier = new TUpdateNotifier();
		FUpdateNotifier->OnUpdate = UpdateNotifierUpdate;
		LoadSettings();
		UpdateNotifier->Refresh();
		Application->OnIdle = ApplicationIdle;
	}
	catch(...) {
		Uninitialize();
		throw;
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::Uninitialize()
{
	delete FUpdateNotifier;
	FUpdateNotifier = NULL;

	delete FFileDropWatcher;
	FFileDropWatcher = NULL;

	delete FSettingsHandlers;
	FSettingsHandlers = NULL;

	delete FHelpCommands;
	FHelpCommands = NULL;

	delete FOpenCommands;
	FOpenCommands = NULL;

	delete FListViewModel1;
	FListViewModel1 = NULL;

	delete FFormModel;
	FFormModel = NULL;

	delete FDocumentEntriesCommands;
	FDocumentEntriesCommands = NULL;

	delete FDocumentEntriesSelection;
	FDocumentEntriesSelection = NULL;

	delete FDocumentEntriesModel;
	FDocumentEntriesModel = NULL;

	delete FProgramEntriesCommands;
	FProgramEntriesCommands = NULL;

	delete FProgramEntriesSelection;
	FProgramEntriesSelection = NULL;

	delete FProgramEntriesModel;
	FProgramEntriesModel = NULL;

	delete FSystemModel;
	FSystemModel = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::LoadSettings()
{
	SettingsHandlers->LoadSettings();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::SaveSettings()
{
	SettingsHandlers->SaveSettings();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::HandleCommandLineParameters()
{
	if(ParamCount() == 0) {
		return;
	}
	TStringDynArray LFiles;
	LFiles.Length = ParamCount();
	for(int LI = 0; LI < LFiles.Length; ++LI) {
		LFiles[LI] = ParamStr(LI + 1);
	}
	HandleDroppedFiles(LFiles);
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::HandleDroppedFiles(const TStringDynArray& AFiles)
{
	try {
		FDroppedFiles = AFiles;
		Action323->Execute();
	}
	catch(...) {
		FDroppedFiles.Length = 0;
		throw;
	}
	FDroppedFiles.Length = 0;
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::UpdateAccess()
{
	for(int LI = 0; LI < ActionList1->ActionCount; ++LI) {
		TAction* LAction = static_cast<TAction*>(ActionList1->Actions[LI]);
		if(LAction->OnUpdate != NULL) {
			LAction->OnUpdate(LAction);
		}
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::UpdateStatus()
{
	if(DocumentEntriesSelection->SelectionCount > 0) {
		Label3->Caption = AnsiString().sprintf("%d items are selected", DocumentEntriesSelection->SelectionCount);
	}
	else {
		Label3->Caption = AnsiString().sprintf("%d items", DocumentEntriesModel->Count);
	}
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::ApplicationIdle(TObject* ASender, bool& ADone)
{
	ADone = true;
	Application->OnIdle = NULL;
	HandleCommandLineParameters();
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::FileDropWatcherFileDrop(TObject* ASender, TDroppedFiles* AFiles, bool& AHandled)
{
	AHandled = true;
	::SetForegroundWindow(Handle);
	TStringDynArray LFiles;
	LFiles.Length = AFiles->Count;
	for(int LI = 0; LI < LFiles.Length; ++LI) {
		LFiles[LI] = AFiles->Files[LI];
	}
	AFiles->Finish();
	HandleDroppedFiles(LFiles);
}
//---------------------------------------------------------------------------
void __fastcall TAppMainForm::UpdateNotifierUpdate(TObject* ASender)
{
	UpdateAccess();
	UpdateStatus();
}
//---------------------------------------------------------------------------
__fastcall TAppMainForm::TAppMainForm(TComponent* AOwner) :
	TForm(Owner),
	FSystemModel(NULL),
	FProgramEntriesModel(NULL),
	FProgramEntriesSelection(NULL),
	FProgramEntriesCommands(NULL),
	FDocumentEntriesModel(NULL),
	FDocumentEntriesSelection(NULL),
	FDocumentEntriesCommands(NULL),
	FFormModel(NULL),
	FListViewModel1(NULL),
	FOpenCommands(NULL),
	FHelpCommands(NULL),
	FSettingsHandlers(NULL),
	FFileDropWatcher(NULL),
	FUpdateNotifier(NULL),
	FDroppedFiles()
{
	Initialize();
}
//---------------------------------------------------------------------------
__fastcall TAppMainForm::~TAppMainForm()
{
	Uninitialize();
}
//---------------------------------------------------------------------------

