//---------------------------------------------------------------------------
#ifndef App_OpenH
#define App_OpenH
//---------------------------------------------------------------------------
#include "App_Documents.h"
#include "App_Programs.h"
//---------------------------------------------------------------------------
namespace App_open {
//---------------------------------------------------------------------------
class TOpenCommands : public TCommands
{
private:
	TProgramEntriesModel* FProgramEntriesModel;
	TProgramEntriesSelection* FProgramEntriesSelection;
	TDocumentEntriesModel* FDocumentEntriesModel;
	__property TProgramEntriesModel* ProgramEntriesModel = {read=FProgramEntriesModel};
	__property TProgramEntriesSelection* ProgramEntriesSelection = {read=FProgramEntriesSelection};
	__property TDocumentEntriesModel* DocumentEntriesModel = {read=FDocumentEntriesModel};
protected:
public:
	__fastcall TOpenCommands(
		TProgramEntriesModel* AProgramEntriesModel, 
		TProgramEntriesSelection* AProgramEntriesSelection, 
		TDocumentEntriesModel* ADocumentEntriesModel);
	virtual __fastcall ~TOpenCommands();
	virtual void __fastcall Open();
	virtual bool __fastcall CanOpen();
};
//---------------------------------------------------------------------------
} // End namespace App_open
using namespace App_open;
//---------------------------------------------------------------------------
#endif

